# $Revision: 1.4 $, $Date: 2005/01/21 09:29:06 $
Summary:	Tlen.pl client library
Summary(pl):	Biblioteka kliencka Tlen.pl
Name:		libtlen2
Version:	0.0.1
Release:	1
Epoch:		1
License:	LGPL
Group:		Libraries
Source0:	http://osdn.dl.sourceforge.net/libtlen2/%{name}-%{version}.tar.gz
# Source0-md5:	4cf7234e04f0c63e6e443864afcf8e42
#Source0:	http://libtlen.eu.org/libtlen2_files/%{name}-%{_snap}.tar.gz
URL:		http://libtlen2.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnet-devel
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libtlen is a library providing an API for client programs which want
to use Tlen.pl, an Instant Messanging protocol based on Jabber, but
with some modifications.

%description -l pl
Biblioteka libtlen dostarcza API dla programw klienckich
korzystajcych z protokou Tlen.pl ktry bazuje na Jabber z
niewielkimi modyfikacjami.

%package devel
Summary:	Header files for developping programs using libtlen
Summary(pl):	Pliki nagwkowe do biblioteki libtlen
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package is required to develop programs that use Tlen.pl
protocol.

%description devel -l pl
Pakiet wymagany przy pisaniu programw korzystajcych z protokou
Tlen.pl.

%package static
Summary:	Static version of libtlen library
Summary(pl):	Biblioteka statyczna libtlen
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libtlen library.

%description static -l pl
Biblioteka statyczna libtlen.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libtlen2.so.*.*

%files devel
%defattr(644,root,root,755)
%doc docs/protocol/protocol.txt
%doc docs/reference/*/*.html
%attr(755,root,root) %{_libdir}/libtlen2.so
%{_includedir}/*
%{_pkgconfigdir}/libtlen-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libtlen2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libtlen2.spec,v $
Revision 1.4  2005/01/21 09:29:06  krzak
- up to final 0.0.1
- rel 1
- changed URL and Source0
- autotools

Revision 1.3  2004/09/04 22:52:00  kolodko
- added gnet-devel to BR

Revision 1.2  2004/07/24 16:44:26  qboosh
- formatting

Revision 1.1  2004/07/24 11:49:09  jack
- initial release - needs "cosmetics" ;)

Revision 1.28  2004/02/29 18:01:25  pawelb
- up to 20040228

Revision 1.27  2003/11/17 22:15:52  adgor
- Partially reverted

Revision 1.26  2003/11/17 21:46:36  adgor
- Changed versioning policy (ver 0.%%{_snap}; rel 1)
- Added post/postun /sbin/ldconfig
- libtlen.so moved to devel subpkg

Revision 1.25  2003/11/16 09:27:35  jack
- updated to snap 20031115

Revision 1.24  2003/11/08 20:44:23  jack
- updated to 20031108 snap

Revision 1.23  2003/08/29 11:15:25  adgor
- Added %%{release} to req

Revision 1.22  2003/08/18 08:08:17  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.21  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.20  2003/06/27 13:10:47  mmazur
- mass commit; now req: name = epoch:version

Revision 1.19  2003/05/28 12:59:32  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:50:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/18 14:45:32  radek
- snap 20030415

Revision 1.16  2003/02/17 11:32:06  radek
- updated Source0 URL

Revision 1.15  2003/02/03 19:17:17  krzak
- snap 20030130

Revision 1.14  2002/11/23 02:06:12  aflinta
- updated to snap 20021122
- removed destdir.path which is now obsoleted

Revision 1.13  2002/11/19 15:23:33  aflinta
- updated descriptions
- version is 0 cause there is no version except snaps
- Epoch 1
- updated URL's

Revision 1.12  2002/10/30 16:45:55  aflinta
- normal URL is back ;)

Revision 1.11  2002/10/29 23:41:28  aflinta
- updated to snap 20021029

Revision 1.10  2002/10/29 23:18:58  aflinta
- libsigc++ seems to be not needed, everything is working without it

Revision 1.9  2002/10/26 10:36:27  ggodlewski
- url changed to ip - some problem with dns

Revision 1.8  2002/10/25 15:39:23  ggodlewski
- updated to 20021024

Revision 1.7  2002/09/21 14:08:47  aflinta
- updated to snapshot 20020920

Revision 1.6  2002/09/16 16:22:42  qboosh
- typos, cosmetics

Revision 1.5  2002/09/15 13:00:46  aflinta
- splited into subpackages
- snapshot 20020914

Revision 1.4  2002/09/12 10:13:09  trojan
- BuildRequires: libsigc++1-devel instead libsigc++-devel

Revision 1.3  2002/05/24 11:04:31  gotar
- ac/am macros

Revision 1.2  2002/05/24 10:58:30  gotar
- new %doc

Revision 1.1  2002/05/23 07:56:05  gotar
- initial release, STBR.
